;;  This is my global "Emacs" configuration.
;;  In this I keep preferences which I will use in Gnu Emacs and Xemacs.
;;  A copy of this can be found at: 
;;  http://abelew.web.wesleyan.edu/dot_files/dot.emacs
;;  There are a series of secondary files used in different situations
;;  These may be found at:
;;  http://abelew.web.wesleyan.edu/dot_files/gnuemacs.settings
;;  http://abelew.web.wesleyan.edu/dot_files/xemacs.settings
;;  http://abelew.web.wesleyan.edu/dot_files/c.el
;;  http://abelew.web.wesleyan.edu/dot_files/perl.el
;;
;;  Any suggestions etc.  May be sent to me at: abelew@wesleyan.edu

(setq load-path (cons "~/elisp/" load-path))	;; First add the directory with stuff I like in it.

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  Now add in a couple of things which should work anywhere.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun aux_my_insert (count num arg)
  (while (< count num)
    (insert arg)
    (setq count (+ count 1))
))
(defun my_insert (num arg)
  (aux_my_insert 0 num arg)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  A note
;;  It is just as easy to hit Ctrl-# ([0-9]*) something to get a lot of a single character.
(defun lotta-dashes ()
  "64 dashes.  Useful for commenting code."
  (interactive)
  (my_insert 64 "-")
)
(defun lotta-hashes ()
  "64 hashes.  Useful for commenting perl, shell, and python, amongst other stuff."
  (interactive)
  (my_insert 64 "#")
)
(defun lotta-semis ()
  "64 semicolons.  Cool for commenting lisp code."
  (interactive)
  (my_insert 64 ";")
)
(defun dos2unix (buf)
  "replace the stupid crapola from DOS with real newlines."
  (interactive "b")
  (replace-string "^M" "\n")
)

(define-key emacs-lisp-mode-map [(control c) (control e)] 'eval-buffer)

(if (file-exists-p "/usr/local/bin/bash")	
    (setq explicit-shell-file-name "/usr/local/bin/bash"))

(defvar emacs-type
  (cond 
   ((string-match "XEmacs\\|Lucid" (emacs-version))	"xemacs")
   ((string-match "Gnu Emacs" (emacs-version))		"gnu_emacs")
))

(if (string-match "xemacs" emacs-type)
    (load-library "xemacs.settings")
  (load-library "gnuemacs.settings")
)
